Skip to main content
POST
/
api
/
incidents
/
v1
/
{incident_id}
/
comment
PostComment
curl --request POST \
  --url https://developer.synq.io/api/incidents/v1/{incident_id}/comment \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "actor": {
    "name": "<string>",
    "email": {
      "userEmail": "jsmith@example.com"
    },
    "via": "VIA_UNSPECIFIED"
  },
  "comment": "<string>",
  "at": "2023-11-07T05:31:56Z"
}
'
{
  "commentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

incident_id
string<uuid>
required

ID of the incident to post a comment on.

Body

application/json
actor
Actor · object
required

Actor posting the comment.

comment
string
required

Comment to post.

at
string<date-time> | null

Time at which the comment was posted. Defaults to the current time when not provided. timestamp.gt = 2022-01-01T00:00:00Z timestamp.gt_lt = 2022-01-01T00:00:00Z timestamp.gt_lt_exclusive = 2022-01-01T00:00:00Z timestamp.gt_lte = 2022-01-01T00:00:00Z timestamp.gt_lte_exclusive = 2022-01-01T00:00:00Z timestamp.lt_now = true

Examples:

"2023-01-15T01:30:15.01Z"

"2024-12-25T12:00:00Z"

Response

200 - application/json

Success

commentId
string<uuid>
required